OOGL2RIB(1)

NAME
oogl2rib - convert OOGL file to RenderMan rib format

SYNOPSIS
oogl2rib [-n name] [-B r,g,b] [-w width] [-h height] [-fgb] [infile] [outfile]

DESCRIPTION
This manual page documents briefly the oogl2rib command.

oogl2rib Convert OOGL file to RenderMan rib format. Default: read from stdin, write to stdout. Accepts "-" as infile/outfile.

OPTIONS
The default action is to create a complete rib file containing default camera, lights, etc.

-n name
    Set name for rendered TIFF file (default "geom.tiff") or framebuffer window (default "geom.rib").

-B r,g,b
    Set background color, each component ranges from 0 to 1. Default is no background.

-w width
    Set width of rendered frame, in pixels.

-h height
    Set height of rendered frame, in pixels.

-f  The .rib file renders to on-screen framebuffer instead of TIFF file.

-g  Output geometry only, no world, no world block.

-b  Encapsulate geometry-only into a world block. This is the configuration to define a RIB file 'clip object' via the Quick RenderMan specification. Ignores -nBwhf.

SEE ALSO
geomview(1).

AUTHOR
This manual page was written by Steve Robbins <steven.robbins@videotron.ca>, for the Debian GNU/Linux system (but may be used by others).